package org.openxma.dsl.reference.ui.panels.client;

import org.eclipse.swt.widgets.Composite;
import at.spardat.xma.session.XMASessionClient;

/**
 * This class implements the client part of Panels.
 *
 */
public class Panels extends PanelsGen {

    /**
     * Initializes the Panels. This method is called
     * by the XMA-Runtime.
     *
     * @param session the XMASession, this Panels belongs to.
     */
    public Panels(XMASessionClient session) {
        super (session);
        setMainPage(new PanelPage(this));
    }

    /**
     * Invokes the Panels. This method reads the
     * key-value-pairs of the input, shows the windows
     * of the Panels and returns the output as
     * key-value-pairs. This method is called
     * by the XMA-Runtime.
     *
     * @param parentComposite a composite of the calling page. In most
     *     cases it will be a shell. It my be null.
     */
    public void invoke(Composite parentComposite) {
        //TODO implement invoke here! Change its content to what you need.
        super.invoke(parentComposite);
    }

}
